{% sw_extends '@Storefront/storefront/layout/header/header.html.twig' %}

{% block layout_header_navigation %}
	<div class="container-fluid px-lg-5 py-lg-4">
	    <div class="row align-items-center justify-content-around header-row p-lg-0">
	        {% block layout_header_logo %}
	            <div class="col-12 mb-3 mb-xl-0 col-xl-auto header-logo-col p-0">
	                {% sw_include '@Storefront/storefront/layout/header/logo.html.twig' %}
	            </div>
	        {% endblock %}
	
	        {% block layout_header_search %}
			    <div class="col-12 order-2 col-sm col-xl-8 order-sm-1 header-search-col pr-lg-0">
			        <div class="row align-items-center justify-content-center">
			            <div class="col-sm-auto d-none d-sm-block d-lg-none">
			                {% block layout_header_navigation_toggle_tablet %}
			                    <div class="nav-main-toggle">
			                        {% block layout_header_navigation_toggle_tablet_button %}
			                            <button class="btn nav-main-toggle-btn header-actions-btn"
			                                    type="button"
			                                    data-offcanvas-menu="true"
			                                    aria-label="{{ "general.menuLink"|trans|striptags }}">
			                                {% block layout_header_navigation_toggle_tablet_button_icon %}
			                                    {% sw_icon 'stack' %}
			                                {% endblock %}
			                            </button>
			                        {% endblock %}
			                    </div>
			                {% endblock %}
			            </div>
			            <div class="d-none d-lg-block col-lg-auto">
			            	{% block base_navigation %}
							    <div class="nav-main">
							        {% block base_navigation_inner %}
							            {% sw_include '@Storefront/storefront/layout/navigation/navigation.html.twig' %}
							        {% endblock %}
							    </div>
							{% endblock %}
						</div>
			            <div class="col col-md-auto col-lg-4">
			                {% sw_include '@Storefront/storefront/layout/header/search.html.twig' %}
			            </div>
			        </div>
			    </div>
			{% endblock %}
	
	        {% block layout_header_actions %}
	            <div class="col-12 order-1 col-sm-auto order-sm-2 header-actions-col pr-lg-0">
	                <div class="row no-gutters">
	                    {% block layout_header_navigation_toggle %}
	                        {{ parent() }}
	                    {% endblock %}
	
	                    {% block layout_header_search_toggle %}
	                        {{ parent() }}
	                    {% endblock %}
	
	                    {% block layout_header_actions_account %}
	                        {{ parent() }}
	                    {% endblock %}
	
	                    {% block layout_header_actions_cart %}
	                        {{ parent() }}
	                    {% endblock %}
	                </div>
	            </div>
	        {% endblock %}
	    </div>
	</div>
{% endblock %}

